package gs.smolban.model.users

/** Enumeration that describes the type of a [[User]].
  */
sealed abstract class UserType(val name: String)

object UserType:

  /** Regular users are typically human, and are expected to be using the Web UI
    * and _possibly_ APIs.
    */
  case object Regular extends UserType("regular")

  /** Service users are intended for use by API-consuming services. They are not
    * suitable for human/UI interactive use.
    */
  case object Service extends UserType("service")

end UserType
